[1/2] mesa: remove drirc workarounds for Worms, Tropico 5 and Crookz

Submitted by Samuel Pitoiset on June 22, 2018, 1:11 p.m.

Details

Message ID 20180622131125.6881-1-samuel.pitoiset@gmail.com
State Rejected
Headers show
Series "Series without cover letter" ( rev: 1 ) in Mesa

Not browsing as part of any series.

Commit Message

Samuel Pitoiset June 22, 2018, 1:11 p.m.
Since mesa now exposes OpenGL 3.3 compat, we no longer need
those workarounds.

Signed-off-by: Samuel Pitoiset <samuel.pitoiset@gmail.com>
---
 src/util/drirc | 12 ------------
 1 file changed, 12 deletions(-)

Patch hide | download patch | download mbox

diff --git a/src/util/drirc b/src/util/drirc
index 7f91035ae8..e50ec81865 100644
--- a/src/util/drirc
+++ b/src/util/drirc
@@ -120,18 +120,6 @@  TODO: document the other workarounds.
             <option name="allow_glsl_extension_directive_midshader" value="true" />
         </application>
 
-        <application name="Worms W.M.D" executable="Worms W.M.Dx64">
-            <option name="allow_higher_compat_version" value="true" />
-        </application>
-
-        <application name="Crookz - The Big Heist" executable="Crookz">
-            <option name="allow_higher_compat_version" value="true" />
-        </application>
-
-        <application name="Tropico 5" executable="Tropico5">
-            <option name="allow_higher_compat_version" value="true" />
-        </application>
-
         <application name="The Culling" executable="Victory">
             <option name="force_glsl_version" value="440" />
         </application>

Comments

Hi

Does the whole of mesa support that or just radeonsi?

Cheers

Mike

On Fri, 22 Jun 2018 at 14:10 Samuel Pitoiset <samuel.pitoiset@gmail.com>
wrote:

> Since mesa now exposes OpenGL 3.3 compat, we no longer need
> those workarounds.
>
> Signed-off-by: Samuel Pitoiset <samuel.pitoiset@gmail.com>
> ---
>  src/util/drirc | 12 ------------
>  1 file changed, 12 deletions(-)
>
> diff --git a/src/util/drirc b/src/util/drirc
> index 7f91035ae8..e50ec81865 100644
> --- a/src/util/drirc
> +++ b/src/util/drirc
> @@ -120,18 +120,6 @@ TODO: document the other workarounds.
>              <option name="allow_glsl_extension_directive_midshader"
> value="true" />
>          </application>
>
> -        <application name="Worms W.M.D" executable="Worms W.M.Dx64">
> -            <option name="allow_higher_compat_version" value="true" />
> -        </application>
> -
> -        <application name="Crookz - The Big Heist" executable="Crookz">
> -            <option name="allow_higher_compat_version" value="true" />
> -        </application>
> -
> -        <application name="Tropico 5" executable="Tropico5">
> -            <option name="allow_higher_compat_version" value="true" />
> -        </application>
> -
>          <application name="The Culling" executable="Victory">
>              <option name="force_glsl_version" value="440" />
>          </application>
> --
> 2.17.1
>
> _______________________________________________
> mesa-dev mailing list
> mesa-dev@lists.freedesktop.org
> https://lists.freedesktop.org/mailman/listinfo/mesa-dev
>
I've just checked myself - this isn't in i965 yet:


Extended renderer info (GLX_MESA_query_renderer):
    Vendor: Intel Open Source Technology Center (0x8086)
    Device: Mesa DRI Intel(R) HD Graphics 530 (Skylake GT2)  (0x191b)
    Version: 18.2.0
    Accelerated: yes
    Video memory: 3072MB
    Unified memory: yes
    Preferred profile: core (0x1)
    Max core profile version: 4.5
    Max compat profile version: 3.0
    Max GLES1 profile version: 1.1
    Max GLES[23] profile version: 3.2


Extended renderer info (GLX_MESA_query_renderer):
    Vendor: X.Org (0x1002)
    Device: AMD Radeon R9 M295X (TONGA, DRM 3.26.0, 4.17.0-rc5-agd5f+, LLVM
7.0.0) (0x6921)
    Version: 18.2.0
    Accelerated: yes
    Video memory: 4096MB
    Unified memory: no
    Preferred profile: core (0x1)
    Max core profile version: 4.5
    Max compat profile version: 3.3
    Max GLES1 profile version: 1.1
    Max GLES[23] profile version: 3.1



On Fri, 22 Jun 2018 at 14:28 Mike Lothian <mike@fireburn.co.uk> wrote:

> Hi
>
> Does the whole of mesa support that or just radeonsi?
>
> Cheers
>
> Mike
>
> On Fri, 22 Jun 2018 at 14:10 Samuel Pitoiset <samuel.pitoiset@gmail.com>
> wrote:
>
>> Since mesa now exposes OpenGL 3.3 compat, we no longer need
>> those workarounds.
>>
>> Signed-off-by: Samuel Pitoiset <samuel.pitoiset@gmail.com>
>> ---
>>  src/util/drirc | 12 ------------
>>  1 file changed, 12 deletions(-)
>>
>> diff --git a/src/util/drirc b/src/util/drirc
>> index 7f91035ae8..e50ec81865 100644
>> --- a/src/util/drirc
>> +++ b/src/util/drirc
>> @@ -120,18 +120,6 @@ TODO: document the other workarounds.
>>              <option name="allow_glsl_extension_directive_midshader"
>> value="true" />
>>          </application>
>>
>> -        <application name="Worms W.M.D" executable="Worms W.M.Dx64">
>> -            <option name="allow_higher_compat_version" value="true" />
>> -        </application>
>> -
>> -        <application name="Crookz - The Big Heist" executable="Crookz">
>> -            <option name="allow_higher_compat_version" value="true" />
>> -        </application>
>> -
>> -        <application name="Tropico 5" executable="Tropico5">
>> -            <option name="allow_higher_compat_version" value="true" />
>> -        </application>
>> -
>>          <application name="The Culling" executable="Victory">
>>              <option name="force_glsl_version" value="440" />
>>          </application>
>> --
>> 2.17.1
>>
>> _______________________________________________
>> mesa-dev mailing list
>> mesa-dev@lists.freedesktop.org
>> https://lists.freedesktop.org/mailman/listinfo/mesa-dev
>>
>
You are right.

On 06/22/2018 03:31 PM, Mike Lothian wrote:
> I've just checked myself - this isn't in i965 yet:
> 
> 
> Extended renderer info (GLX_MESA_query_renderer):
>      Vendor: Intel Open Source Technology Center (0x8086)
>      Device: Mesa DRI Intel(R) HD Graphics 530 (Skylake GT2)  (0x191b)
>      Version: 18.2.0
>      Accelerated: yes
>      Video memory: 3072MB
>      Unified memory: yes
>      Preferred profile: core (0x1)
>      Max core profile version: 4.5
>      Max compat profile version: 3.0
>      Max GLES1 profile version: 1.1
>      Max GLES[23] profile version: 3.2
> 
> 
> Extended renderer info (GLX_MESA_query_renderer):
>      Vendor: X.Org (0x1002)
>      Device: AMD Radeon R9 M295X (TONGA, DRM 3.26.0, 4.17.0-rc5-agd5f+, 
> LLVM 7.0.0) (0x6921)
>      Version: 18.2.0
>      Accelerated: yes
>      Video memory: 4096MB
>      Unified memory: no
>      Preferred profile: core (0x1)
>      Max core profile version: 4.5
>      Max compat profile version: 3.3
>      Max GLES1 profile version: 1.1
>      Max GLES[23] profile version: 3.1
> 
> 
> 
> On Fri, 22 Jun 2018 at 14:28 Mike Lothian <mike@fireburn.co.uk 
> <mailto:mike@fireburn.co.uk>> wrote:
> 
>     Hi
> 
>     Does the whole of mesa support that or just radeonsi?
> 
>     Cheers
> 
>     Mike
> 
>     On Fri, 22 Jun 2018 at 14:10 Samuel Pitoiset
>     <samuel.pitoiset@gmail.com <mailto:samuel.pitoiset@gmail.com>> wrote:
> 
>         Since mesa now exposes OpenGL 3.3 compat, we no longer need
>         those workarounds.
> 
>         Signed-off-by: Samuel Pitoiset <samuel.pitoiset@gmail.com
>         <mailto:samuel.pitoiset@gmail.com>>
>         ---
>           src/util/drirc | 12 ------------
>           1 file changed, 12 deletions(-)
> 
>         diff --git a/src/util/drirc b/src/util/drirc
>         index 7f91035ae8..e50ec81865 100644
>         --- a/src/util/drirc
>         +++ b/src/util/drirc
>         @@ -120,18 +120,6 @@ TODO: document the other workarounds.
>                       <option
>         name="allow_glsl_extension_directive_midshader" value="true" />
>                   </application>
> 
>         -        <application name="Worms W.M.D" executable="Worms
>         W.M.Dx64">
>         -            <option name="allow_higher_compat_version"
>         value="true" />
>         -        </application>
>         -
>         -        <application name="Crookz - The Big Heist"
>         executable="Crookz">
>         -            <option name="allow_higher_compat_version"
>         value="true" />
>         -        </application>
>         -
>         -        <application name="Tropico 5" executable="Tropico5">
>         -            <option name="allow_higher_compat_version"
>         value="true" />
>         -        </application>
>         -
>                   <application name="The Culling" executable="Victory">
>                       <option name="force_glsl_version" value="440" />
>                   </application>
>         -- 
>         2.17.1
> 
>         _______________________________________________
>         mesa-dev mailing list
>         mesa-dev@lists.freedesktop.org
>         <mailto:mesa-dev@lists.freedesktop.org>
>         https://lists.freedesktop.org/mailman/listinfo/mesa-dev
>